## designate 8.0.0

=== debian/changelog ===
designate (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:47:07 +0100

designate (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:26:42 +0000

designate (1:8.0.0~b1~git2019031855.59d8cab9-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/designate-common.postinst: Change /etc/designate to 0750 root:designate.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:37:08 +0000

designate (1:8.0.0~b1~git2019013020.717b94c2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:42:47 +0000

designate (1:8.0.0~b1~git2018111615.6a368fb5-0ubuntu2) disco; urgency=medium

  * d/py(3)dist-overrides: Rename pydist-overrides to py3dist-overrides to
    align with dropping of Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 12:25:16 -0500

designate (1:8.0.0~b1~git2018111615.6a368fb5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Scope to 8.x series.
  * d/control, d/rules, d/python(3)-designate.*, d/tests/*: Drop Python 2
    support.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:52:27 -0500

designate (1:8.0.0~b1~git20181108.f182ec8d-0ubuntu1) disco; urgency=medium

  * d/tests/designate-shebangs-py3: Update shebang for Python 3.7.
  * New upstream snapshot for OpenStack Stein.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Enable Python 3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Nov 2018 11:39:49 -0500

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-dnspython (>= 1.14.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-monasca-statsd (>= 1.1.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pygments (>= 2.2.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-zake (>= 0.1.6),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 sqlite3,
 ${misc:Depends},
Breaks:
 designate-agent (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-api (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-central (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-mdns (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-pool-manager (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-producer (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-sink (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-worker (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-zone-manager (<< 1:7.0.0~rc1-0ubuntu3~),
Replaces:
 designate-agent (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-api (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-central (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-mdns (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-pool-manager (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-producer (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-sink (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-worker (<< 1:7.0.0~rc1-0ubuntu3~),
 designate-zone-manager (<< 1:7.0.0~rc1-0ubuntu3~),
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-dnspython (>= 1.14.0),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.10),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-migrate (>= 0.11.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tenacity (>= 4.4.0),
 python3-tooz (>= 1.58.0),

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)


UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	rm -rf $(CURDIR)/debian/python*/usr/etc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf doc/build build debian/doctrees
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf .eggs
	rm -f etc/designate/policy.json.sample etc/designate/designate.conf

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc

override_dh_auto_build:
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator \
		--config-file=$(CURDIR)/etc/designate/designate-policy-generator.conf \
		--output-file=$(CURDIR)/etc/designate/policy.json.sample
	PYTHONPATH=$(CURDIR) oslo-config-generator \
		--config-file=$(CURDIR)/etc/designate/designate-config-generator.conf \
		--output-file=$(CURDIR)/etc/designate/designate.conf
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source -d debian/doctrees $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/designate designate-(8\.\d.*)\.tar\.gz

## designate 8.0.1

=== debian/changelog ===
designate (1:8.0.1-0ubuntu1~cloud3) bionic-stein; urgency=medium

  [ Nicolas Bock ]
  * d/p/0001-Update-zones-masters-using-pool-target-masters.patch: Update zones
    masters using pool target masters (LP: #1879798).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:16:24 -0400

designate (1:8.0.1-0ubuntu1~cloud2) bionic-stein; urgency=medium

  * d/p/0001-Update-zones-masters-using-pool-target-masters.patch: Update zones
    masters using pool target masters.

 -- Nicolas Bock <nicolas.bock@canonical.com>  Tue, 31 Aug 2021 19:05:38 +0000

designate (1:8.0.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Nicolas Bock ]
  * d/p/0001-Adding-distributed-locking-to-central.patch: Fix race with
    multiple instances of designate-central (LP: #1871332).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 16:16:22 -0400

designate (1:8.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point to OpenDev.
  * New stable point release for OpenStack (LP: #1892154).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 19 Aug 2020 08:51:03 +0000

designate (1:8.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 13:26:46 +0000

=== debian/control ===
--- 
+++ 
@@ -85,8 +85,8 @@
  python3-werkzeug (>= 0.9),
  python3-zake (>= 0.1.6),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: designate

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate designate-(8\.\d.*)\.tar\.gz

## designate 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
Flask!=0.11,>=0.10 # BSD
greenlet>=0.4.10 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
Werkzeug>=0.9 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.58.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
monasca-statsd>=1.1.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
designate (1:9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:36:28 +0100

designate (1:9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:50:50 -0400

designate (1:9.0.0~b2~git2019073016.076f9fce-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 16:34:14 +0200

designate (1:9.0.0~b1~git2019061315.fc5700bd-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 14 Jun 2019 16:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -21,16 +21,18 @@
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-designateclient (>= 2.7.0),
  python3-dnspython (>= 1.14.0),
+ python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-jinja2 (>= 2.10),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
@@ -58,7 +60,7 @@
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck,
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -71,7 +73,7 @@
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-suds (>= 0.6),
  python3-tempest (>= 1:17.1.0),
@@ -85,8 +87,8 @@
  python3-werkzeug (>= 0.9),
  python3-zake (>= 0.1.6),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: designate
@@ -317,6 +319,7 @@
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-paste (>= 2.0.2),
@@ -326,7 +329,3 @@
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-stevedore (>= 1:1.20.0),
- python3-suds (>= 0.6),
- python3-tenacity (>= 4.4.0),
- python3-tooz (>= 1.58.0),

## designate 9.0.2

=== debian/changelog ===
designate (1:9.0.2-0ubuntu1~cloud2) bionic-train; urgency=medium

  [ Nicolas Bock ]
  * d/p/0001-Update-zones-masters-using-pool-target-masters.patch: Update zones
    masters using pool target masters (LP: #1879798).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:19:31 -0400

designate (1:9.0.2-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/0001-Update-zones-masters-using-pool-target-masters.patch: Update zones
    masters using pool target masters.

 -- Nicolas Bock <nicolas.bock@canonical.com>  Tue, 31 Aug 2021 19:14:59 +0000

designate (1:9.0.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/watch: Add trailing slash to URL.
  * New stable point release for OpenStack Train (LP: #1923038).
  * d/p/0001-Adding-distributed-locking-to-central.patch: removed as fix
    landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Apr 2021 12:00:18 +0000

designate (1:9.0.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/p/0001-Adding-distributed-locking-to-central.patch: Fix race with
    multiple instances of designate-central (LP: #1871332).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 16:28:16 -0400

designate (1:9.0.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at opendev.org.
  * New stable point release for OpenStack Train (LP: #1888201).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 21 Jul 2020 06:48:13 +0000

designate (1:9.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 21:18:40 +0000

=== debian/control ===
--- 
+++ 
@@ -87,8 +87,8 @@
  python3-werkzeug (>= 0.9),
  python3-zake (>= 0.1.6),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: designate

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(9\.\d.*)\.tar\.gz

## designate 10.0.0~b2~git2020021416.8b5ec128

=== requirements.txt ===
--- 
+++ 
@@ -37,7 +37,6 @@
 stevedore>=1.20.0 # Apache-2.0
 suds-jurko>=0.6 # LGPLv3+
 WebOb>=1.7.1 # MIT
-dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
 dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -50,3 +49,4 @@
 os-win>=3.0.0 # Apache-2.0
 monasca-statsd>=1.1.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
+edgegrid-python>=1.1.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
designate (1:10.0.0~b2~git2020021416.8b5ec128-0ubuntu2) focal; urgency=medium

  * d/p/disable-edgegrid.patch: Drop hard requirement on optional
    edgegrid dependency for the akamai-v2 driver.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Mar 2020 14:42:02 +0000

designate (1:10.0.0~b2~git2020021416.8b5ec128-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/p/disable-notstable-test.patch: Removed unstable test.

  [ Corey Bryant ]
  * d/p/disable-notstable-test.patch: Reverted.
  * d/control: Add python3-pymemcache BD.
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Add python3-edgegrid to Build-Depends/Suggests.
  * d/p/skip-test.patch: Temporarily skip test_network_api tests that are failing
    on Ubuntu builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 16:42:25 -0500

designate (1:10.0.0~b1~git2019121610.cdac0fc2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Switch to pybuild.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -27,6 +24,7 @@
  python3-designateclient (>= 2.7.0),
  python3-dnspython (>= 1.14.0),
  python3-doc8 (>= 0.6.0),
+ python3-edgegrid (>= 1.1.1),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-flask (>= 0.10),
@@ -68,6 +66,7 @@
  python3-pastedeploy (>= 1.5.0),
  python3-pecan (>= 1.0.0),
  python3-pygments (>= 2.2.0),
+ python3-pymemcache (>= 1.2.9),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
@@ -87,8 +86,8 @@
  python3-werkzeug (>= 0.9),
  python3-zake (>= 0.1.6),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: designate

## designate 10.0.0~b3~git2020041012.9ed2623a

=== debian/changelog ===
designate (1:10.0.0~b3~git2020041012.9ed2623a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/designate-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/p/disable-edgegrid.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:57:22 -0400

designate (1:10.0.0~b3~git2020032414.dd359ba3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test.patch: Dropped. No longer needed (LP: #1863936).
  * d/designate-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:48:35 -0400

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  python3-monasca-statsd (>= 1.1.0),
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.31.2),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-os-win (>= 3.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/designate designate-(9\.\d.*)\.tar\.gz

## designate 10.0.0

=== debian/changelog ===
designate (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725346/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/p/disable-edgegrid.patch: Rebased.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:50:55 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate designate-(10\.\d.*)\.tar\.gz

## designate 10.0.2

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 Babel!=2.4.0,>=2.3.4 # BSD
-eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
+eventlet>=0.25.1 # MIT
 Flask!=0.11,>=0.10 # BSD
 greenlet>=0.4.10 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
@@ -13,7 +13,7 @@
 netaddr>=0.7.18 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=9.5.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
@@ -37,7 +37,7 @@
 stevedore>=1.20.0 # Apache-2.0
 suds-jurko>=0.6 # LGPLv3+
 WebOb>=1.7.1 # MIT
-dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
+dnspython3!=1.13.0,!=1.14.0,>=1.12.0 # http://www.dnspython.org/LICENSE
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
@@ -47,6 +47,6 @@
 tooz>=1.58.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
-monasca-statsd>=1.1.0 # Apache-2.0
+monasca-statsd>=1.4.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 edgegrid-python>=1.1.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.31.2 # Apache-2.0

=== debian/changelog ===
designate (1:10.0.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1956994).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 11 Jan 2022 21:10:45 +0000

designate (1:10.0.1-0ubuntu1) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Add trailing slash to fix download.
  * New stable point release for OpenStack Ussuri (LP: #1941048).
  * d/p/disable-edgegrid.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:37:16 +0000

=== debian/control ===
--- 
+++ 
@@ -86,8 +86,8 @@
  python3-werkzeug (>= 0.9),
  python3-zake (>= 0.1.6),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: designate

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc,systemd
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -21,14 +21,14 @@
 	rm -rf $(CURDIR)/debian/python*/usr/etc
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=python_distutils
+	dh_auto_clean -O--buildsystem=pybuild
 	rm -rf doc/build build debian/doctrees
 	rm -f debian/*.init debian/*.upstart debian/*.service
 	rm -rf .eggs
 	rm -f etc/designate/policy.json.sample etc/designate/designate.conf
 
 override_dh_install:
-	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc
+	dh_install -O--buildsystem=pybuild --fail-missing -Xusr/etc
 
 override_dh_auto_build:
 	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator \
@@ -37,7 +37,7 @@
 	PYTHONPATH=$(CURDIR) oslo-config-generator \
 		--config-file=$(CURDIR)/etc/designate/designate-config-generator.conf \
 		--output-file=$(CURDIR)/etc/designate/designate.conf
-	dh_auto_build -O--buildsystem=python_distutils
+	dh_auto_build -O--buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: designate-daemons
Depends: designate-api, designate, designate-sink, designate-mdns,
 designate-pool-manager, designate-zone-manager, designate-worker,
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(10\.\d.*)\.tar\.gz
